OpenShot Audio Library | OpenShotAudio: juce::ValueTree::Iterator Struct Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
juce::ValueTree::Iterator Struct Reference

`#include <juce_ValueTree.h>`

## Public Types
using | difference_type = std::ptrdiff_t
using | value_type = ValueTree
using | reference = ValueTree&
using | pointer = ValueTree*
using | iterator_category = std::forward_iterator_tag

## Public Member Functions
| Iterator (const ValueTree &, bool isEnd)
Iterator & | operator++ ()
bool | operator== (const Iterator &) const
bool | operator!= (const Iterator &) const
ValueTree | operator* () const

## Detailed Description

Iterator for a ValueTree. You shouldn't ever need to use this class directly - it's used internally by ValueTree::begin() and ValueTree::end() to allow range-based-for loops on a ValueTree.

Definition at line 402 of file juce_ValueTree.h.

## Member Typedef Documentation

## ◆ difference_type

using juce::ValueTree::Iterator::difference_type = std::ptrdiff_t

Definition at line 411 of file juce_ValueTree.h.

## ◆ iterator_category

using juce::ValueTree::Iterator::iterator_category = std::forward_iterator_tag

Definition at line 415 of file juce_ValueTree.h.

## ◆ pointer

using juce::ValueTree::Iterator::pointer = ValueTree*

Definition at line 414 of file juce_ValueTree.h.

## ◆ reference

using juce::ValueTree::Iterator::reference = ValueTree&

Definition at line 413 of file juce_ValueTree.h.

## ◆ value_type

using juce::ValueTree::Iterator::value_type = ValueTree

Definition at line 412 of file juce_ValueTree.h.

## Constructor & Destructor Documentation

## ◆ Iterator()

juce::ValueTree::Iterator::Iterator | ( | const ValueTree & | v,
|  | bool | isEnd )

Definition at line 869 of file juce_ValueTree.cpp.

## Member Function Documentation

## ◆ operator!=()

bool juce::ValueTree::Iterator::operator!= | ( | const Iterator & | other | ) | const

Definition at line 881 of file juce_ValueTree.cpp.

## ◆ operator*()

ValueTree juce::ValueTree::Iterator::operator* | ( |  | ) | const

Definition at line 883 of file juce_ValueTree.cpp.

## ◆ operator++()

ValueTree::Iterator & juce::ValueTree::Iterator::operator++ | ( |  | ) |

Definition at line 874 of file juce_ValueTree.cpp.

## ◆ operator==()

bool juce::ValueTree::Iterator::operator== | ( | const Iterator & | other | ) | const

Definition at line 880 of file juce_ValueTree.cpp.

The documentation for this struct was generated from the following files:

- juce_ValueTree.h
- juce_ValueTree.cpp